<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 16/7/2018
 * Time: 11:51 PM
 */
include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_reglamento']) && isset($_REQUEST['titulo']) && isset($_REQUEST['descripcion']) && isset($_REQUEST['enlace'])) {
            $idreglamento = $_REQUEST['id_reglamento'];
            $reglamento = R::load('reglamento', $idreglamento);
            $reglamento->titulo = $_REQUEST['titulo'];
            $reglamento->descripcion = $_REQUEST['descripcion'];
            $reglamento->enlace = $_REQUEST['enlace'];
            $reglamento->fechaModificacion = date('Y-m-d H:i:s');
            $reglamento->estado = 1;
            $id = R::store($reglamento);
            include '../comun/mensajeModificado.php';
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}